/*******************************************************************************
BoundingDiameters
@author Frank Takes - ftakes@liacs.nl
@website http://www.liacs.nl/~ftakes/diameter
**************** consult the README.txt file before using *********************/

#include <algorithm>
#include <cstring>
#include <fstream>
#include <iomanip>
#include <iostream>
#include <queue>
#include <vector>
using namespace std;

const int MAXN = 1000000; // largest node number 

#include "graph.h"
#include "graph.cc"
#include "diameter.cc"

int main(int argc, char ** argv) {
	Graph G;
	G.load(argv[2], argv[1][0]);
	G.print();
	G.makeUndir(); // doesnt have to be called if input type is 's' or if 
	             // you are sure the file is symmetric
	G.print();
	cout << endl << "Diameter: " << G.diameter() << endl;
	return 0;
} // main
